"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function trim(c) {
    const ctx = c.getContext("2d"), copy = document.createElement("canvas").getContext("2d"), pixels = ctx.getImageData(0, 0, c.width, c.height);
    let x, y, bound = {
        top: null,
        left: null,
        right: null,
        bottom: null,
    };
    for (let i = 0; i < pixels.data.length; i += 4) {
        if (pixels.data[i + 3] !== 0) {
            x = (i / 4) % c.width;
            y = ~~(i / 4 / c.width);
            if (bound.top === null) {
                bound.top = y;
            }
            if (bound.left === null) {
                bound.left = x;
            }
            else if (x < bound.left) {
                bound.left = x;
            }
            if (bound.right === null) {
                bound.right = x;
            }
            else if (bound.right < x) {
                bound.right = x;
            }
            if (bound.bottom === null) {
                bound.bottom = y;
            }
            else if (bound.bottom < y) {
                bound.bottom = y;
            }
        }
    }
    const trimHeight = bound.bottom - bound.top + 1, trimWidth = bound.right - bound.left + 1, trimmed = ctx.getImageData(bound.left, bound.top, trimWidth, trimHeight);
    copy.canvas.width = trimWidth;
    copy.canvas.height = trimHeight;
    copy.putImageData(trimmed, 0, 0);
    return copy.canvas;
}
exports.default = trim;
